Debian Bug report logs - #389996
ifupdown: should store state file in /lib/init/rw/, not /dev/shm/.

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Thu, 28 Sep 2006 20:03:16 UTC

Severity: important

Tags: patch

Found in versions ifupdown/0.6.4-4.9, ifupdown/0.6.8+nmu1

Fixed in version ifupdown/0.7~alpha4

Done: bugzilla@tut.by (Andrew O. Shadoura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#389996; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: ifupdown: should store state file in /lib/init/rw/, not /dev/shm/.
Date: Thu, 28 Sep 2006 21:28:00 +0200
Package:  ifupdown
Version:  0.6.4-4.9
Severity: important
Tags:     patch

At the moment, the postinst script in ifupdown set up
/etc/network/run/ as a symlink to /dev/shm/network/.  But the
/dev/shm/ file system is reserved for use by the shm* glibc functions,
and should not be used as a generic state storing area.

Recently, in version 2.86.ds1-23 of initscripts, the boot system in
debian was changed to provide /lib/init/rw/ as a writable tmpfs area
for scripts running early in the boot.  ifupdown might run very early
in the boot, and would be better of using this area instead of
/dev/shm/.  Here is an untested patch to move ifupdown over to use
this new tmpfs.

diff -ur ../ifupdown-0.6.8/debian/changelog ../ifupdown-0.6.9/debian/changelog
--- ../ifupdown-0.6.8/debian/changelog	2006-09-28 19:08:55.000000000 +0200
+++ ../ifupdown-0.6.9/debian/changelog	2006-09-28 21:20:36.000000000 +0200
@@ -1,3 +1,10 @@
+ifupdown (0.6.9) experimental; urgency=low
+
+  * Prefer /lib/init/rw/network over /dev/shm/ for storing the state file
+    if the former is mounted as a tmpfs.
+
+ -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Sep 2006 21:19:32 +0200
+
 ifupdown (0.6.8) unstable; urgency=low
 
   * Add myself as co-maintainer with approval from Anthony Towns.
diff -ur ../ifupdown-0.6.8/debian/postinst ../ifupdown-0.6.9/debian/postinst
--- ../ifupdown-0.6.8/debian/postinst	2006-09-15 20:03:19.000000000 +0200
+++ ../ifupdown-0.6.9/debian/postinst	2006-09-28 21:18:55.000000000 +0200
@@ -48,26 +48,26 @@
     mv /etc/network/run /etc/network/run.dpkg-old
   fi
 
-  # The best choice is to use /dev/shm/network
+  # The best choice is to use /lib/init/rw/network
   #
   # If we can't use that, we'll just make /etc/network/run a directory,
   # unless we're upgrading, in which case we'll just keep ifstate where it
   # is, by making /etc/network/run a symlink to /etc/network.
 
-  WHAT_TO_USE=devshm
+  WHAT_TO_USE=initrw
 
-  if [ ! -d /dev/shm -o ! -w /dev/shm -o ! -r /proc/mounts ]; then
+  if [ ! -d /lib/init/rw -o ! -w /lib/init/rw -o ! -r /proc/mounts ]; then
     WHAT_TO_USE=owndir
-  elif ! grep -qs "^tmpfs[[:space:]]\+/dev/shm[[:space:]]\+tmpfs[[:space:]]\+\([^[:space:]]\+,\)\?rw" /proc/mounts
+  elif ! grep -qs "^tmpfs[[:space:]]\+/lib/init/rw[[:space:]]\+tmpfs[[:space:]]\+\([^[:space:]]\+,\)\?rw" /proc/mounts
   then
     WHAT_TO_USE=owndir
   elif grep -qs '[[:space:]]/dev[[:space:]]devfs[[:space:]]' /proc/mounts; then
     WHAT_TO_USE=owndir
   fi
 
-  # Check for available space if we are using devshm
-  if [ "$WHAT_TO_USE" = devshm ]; then
-    SPACE=`df -k /dev/shm | tail -1 | awk '{if ($4 ~ /%/) { print $3 } else { print $4 } }'`
+  # Check for available space if we are using initrw
+  if [ "$WHAT_TO_USE" = initrw ]; then
+    SPACE=`df -k /lib/init/rw | tail -1 | awk '{if ($4 ~ /%/) { print $3 } else { print $4 } }'`
     if [ "$SPACE" -le 0 ]; then
       WHAT_TO_USE=owndir
     fi
@@ -77,10 +77,10 @@
     WHAT_TO_USE=etcnetwork
   fi
 
-  if [ "$WHAT_TO_USE" = devshm ]
+  if [ "$WHAT_TO_USE" = initrw ]
   then
-    [ -d /dev/shm/network ] || mkdir /dev/shm/network
-    ln -s /dev/shm/network /etc/network/run
+    [ -d /lib/init/rw/network ] || mkdir /lib/init/rw/network
+    ln -s /lib/init/rw/network /etc/network/run
   elif [ "$WHAT_TO_USE" = "owndir" ]; then
     mkdir /etc/network/run
   else



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#389996; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #10 received at 389996@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 306224@bugs.debian.org, 389996@bugs.debian.org
Subject: Possibility of hitting two birds with one stone?
Date: Wed, 26 Dec 2007 23:58:29 +0100
While looking at #306224 it hit me that possibly the patch in #389996
would maybe also solve this problem?
Just thought I'd mention it...

-- 
Regards,
Andreas Henriksson





Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#389996; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Stanislav Maslovski <stanislav.maslovski@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #15 received at 389996@bugs.debian.org (full text, mbox):

From: Stanislav Maslovski <stanislav.maslovski@gmail.com>
To: Debian Bug Tracking System <389996@bugs.debian.org>
Subject: ifupdown: requesting status on this bug
Date: Wed, 27 Aug 2008 15:37:10 +0400
Package: ifupdown
Version: 0.6.8+nmu1
Followup-For: Bug #389996

So, has anyone considered what to do with this bug? I think it is would be
good to correct this before the release of lenny. The correction is rather
simple.




Added tag(s) pending. Request was from Andrew O. Shadoura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 20 Apr 2011 09:16:35 GMT) Full text and rfc822 format available.

Reply sent to bugzilla@tut.by (Andrew O. Shadoura):
You have taken responsibility. (Wed, 08 Jun 2011 12:52:00 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 12:52:01 GMT) Full text and rfc822 format available.

Message #22 received at 389996-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadoura)
To: 389996-close@bugs.debian.org
Subject: Bug#389996: fixed in ifupdown 0.7~alpha4
Date: Wed, 08 Jun 2011 12:20:56 +0000
Source: ifupdown
Source-Version: 0.7~alpha4

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive:

ifupdown_0.7~alpha4.dsc
  to main/i/ifupdown/ifupdown_0.7~alpha4.dsc
ifupdown_0.7~alpha4.tar.gz
  to main/i/ifupdown/ifupdown_0.7~alpha4.tar.gz
ifupdown_0.7~alpha4_amd64.deb
  to main/i/ifupdown/ifupdown_0.7~alpha4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 389996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadoura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 08 Jun 2011 12:10:14 +0300
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7~alpha4
Distribution: experimental
Urgency: low
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Changed-By: Andrew O. Shadoura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 149395 158089 159884 196877 357929 384143 389996 408453 415285 417718 460276 471834 518924 520576 575110 584530 601705 604136 607713 610238
Changes: 
 ifupdown (0.7~alpha4) experimental; urgency=low
 .
   * New maintainer.
   * Removed VCS repository from the tarball (Closes: #417718).
   * Add source stanza (Closes: #159884, #149395, #471834).
   * Fix bashism in example script get-mac-address.sh (Closes: #518924).
   * Use DebSrc3.0 source format and dh7.
   * Add auto method for IPv6, fix static method (Closes: #604136).
   * Update URL for Debian Reference (Closes: #610238).
   * Fix typos in the man page (Closes: #384143, #415285).
   * Add GRE and IPIP tunnels support (Closes: #158089).
   * Fix inet/static pointopoint option (Closes: #460276).
   * Add support for enabling/disabling IPv6 privacy extension
     (Closes: #520576).
   * Move network state file to /run/network (Closes: #389996).
   * Fix init script dependencies (Closes: #607713, #601705).
   * Add MTU setting for v4tunnel (Closes: #408453, #575110).
   * Allow multiple interface definitions to ease work with multiple IP per
     interface.
   * Allow passing PPP options, pass updetach by default (Closes: #196877).
   * Add 6to4 tunnels support (Closes: #357929).
   * Add CAN interface support (Closes: #584530).
   * Drop 0.5.x migration script.
   * Drop dependency on net-tools; suggest it instead.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 9bec1b939c57b7aae09a8a4499c3066aaaaa19c2 797 ifupdown_0.7~alpha4.dsc
 c3224838c1989925bad1c836788337f8d9cf847f 89299 ifupdown_0.7~alpha4.tar.gz
 eb2502dc6efd215c320d4ea78c56669f5544148f 50234 ifupdown_0.7~alpha4_amd64.deb
Checksums-Sha256: 
 6f07fa02edd18666b7bb8bfea696575d95ff1bf3d17172c704ef9b419ae1047d 797 ifupdown_0.7~alpha4.dsc
 c524c9e187c73a2edc652f4349a064599447eca89e8ac253a7e4d9cdb796e481 89299 ifupdown_0.7~alpha4.tar.gz
 1d033c47bef1ebedd5b301ded455c73a654623b16784f5055cf035093734b205 50234 ifupdown_0.7~alpha4_amd64.deb
Files: 
 04f1dfcf3bf39033c8b7a736f3382b52 797 admin important ifupdown_0.7~alpha4.dsc
 a48e206dadfdb2f4c11cfcca995369f3 89299 admin important ifupdown_0.7~alpha4.tar.gz
 f2165f61e612e1572d3012f7c8fa7eec 50234 admin important ifupdown_0.7~alpha4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk3vY5kACgkQVcFcaSW/uEhUSgCgz3bP6D/Ye/bSYiQWXX7QqwjI
604Ani6ozVwQF1Sr3bCZq2L0wga3CtV8
=bZeW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 May 2012 07:43:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:24:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.